package tcra.exercises.q2_mystery_private;

import java.util.List;
import tcra.math.*;

public class Q2MysteryExercise_PreMystery1Assertion implements
      Assertion
{
   public Q2MysteryExercise_PreMystery1Assertion() {}

   @SuppressWarnings("unchecked")
   public boolean check(List<MathType> t)
   {
      MathString<MathType> lb_self = (MathString<MathType>)t.get(0);
      
      return(lb_self.length() > 0);
   } // end check(List)
   
   public String toString()
   {
      return("|#self| &gt; 0;");
   } // end toString()

   @SuppressWarnings("unchecked")
   public String toInstanceString(List<MathType> t)
   {
      MathString<MathType> lb_self = (MathString<MathType>)t.get(0);
      
      return("|"+lb_self.toHTMLString()+"| &gt; 0");
   } // end toInstanceString(List)
} // end class
